﻿using NeoTicker;

namespace NeoMultiplePlots
{
    public class EntryPointClass : IDLIndicator
    {
        const int valueCount = 3;
        double[] values = new double[valueCount];
        int valueToPlot;

        public double IDLCallEx(NTIndicatorObjects N)
        {
            // sample values to plot:
            values[0] = N.Data1().get_Close(0);
            values[1] = 1 / N.Data1().get_High(0);
            values[2] = values[0] * values[1] * 3.5;
            //

            valueToPlot = N.Params().get_Items("Value to plot").Int;

            if (valueToPlot >= 0 && valueToPlot < valueCount)
            {
                N.ItSelf().set_Plot(1, values[valueToPlot]);
            }
            else
            {
                N.ItSelf().Success = false;
            }

            return 0;
        }
    }
}
